### Function

# ICalGLib error_error_from_string

since: 4.0

#### Declaration [src]

    ICalErrorEnum
    i_cal_error_error_from_string (
      const gchar* str
    )

#### Description [src]

Reads an error from a string.

Available since: 4.0

#### Parameters

`str`

  Type: `const gchar*`

  The error name string.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `ICalErrorEnum`

An `ICalErrorEnum` representation of the error `str`.